/*	
 *	Pollin Electronic GmbH
 *	Max-Pollin-Strae 1			
 *	85104 Pfrring 
 *	http://www.pollin.de
 *
 *	Project:	RAPITUS SAMxS Evaluationboard 
 *  Filename:	rtc.h 
 *
 *  Author:		Leonhard Hesse
 *
 *  Copyright (c) 2016 Pollin Electronic GmbH. All rights reserved.
 *
 *  Bitte beachten Sie, dass dieses Programm nur uneingeschrnkt fr nicht kommerzielle Zwecke genutzt 
 *  werden darf. Ich bernehme keine Garantie fr die einwandfreie Funktion dieses Programmes und ber- 
 *  nehme dadurch auch keine Haftung fr Folgeschden die Aufgrund der Benutzung dieser Daten entstehen. 
 *  Dieses gilt auch dann, wenn ich ber einen solchen Schaden unterrichtet worden bin. 
 */

#ifndef RTC_H_
#define RTC_H_

#include "compiler.h"

uint8_t doOnlyOnce;

uint32_t hour, minute, second;
uint32_t year, month, day, week;

char time_str[16];
char date_str[16];
char hour_str[2];
char min_srt[2];
char sek_str[2];
char year_str[4];
char month_str[2];
char day_str[2];

void rtc_setup(void);
void rtc_update(void);

#endif /* RTC_H_ */