/*	
 *	Pollin Electronic GmbH
 *	Max-Pollin-Strae 1			
 *	85104 Pfrring 
 *	http://www.pollin.de
 *
 *	Project:	RAPITUS SAMxS Evaluationboard 
 *  Filename:	sound.c 
 *
 *  Author:		Leonhard Hesse
 *
 *  Copyright (c) 2016 Pollin Electronic GmbH. All rights reserved.
 *
 *  Bitte beachten Sie, dass dieses Programm nur uneingeschrnkt fr nicht kommerzielle Zwecke genutzt 
 *  werden darf. Ich bernehme keine Garantie fr die einwandfreie Funktion dieses Programmes und ber- 
 *  nehme dadurch auch keine Haftung fr Folgeschden die Aufgrund der Benutzung dieser Daten entstehen. 
 *  Dieses gilt auch dann, wenn ich ber einen solchen Schaden unterrichtet worden bin. 
 */ 

 #include "asf.h"
 #include "sound.h"
 #include "lcd.h"

void playSound (void)
{
  /* drei mal kurz *******************************************************/
  if(summerStart == true)
  {
	  if(soundStyle < 3)
	  {
		  if (soundTime < 800)
		  {
			  summerOn = true;
			  soundTime++;
		  }
		  else if (soundTime < 2000)
		  {
			  summerOn = false;
			  soundTime++;
		  }
		  else
		  {
			  soundTime = 0;
			  soundStyle++;
		  }
	  }

	  /* pause ***************************************************************/
	  if (soundStyle == 3)
	  {
		  if (soundTime < 1000)
		  {
			  summerOn = false;
			  soundTime++;
		  }
		  else
		  {
			  soundTime = 0;
			  soundStyle++;
		  }
	  }
	  
	  /* zwei mal lang *******************************************************/
	  if (soundStyle > 3 && soundStyle < 6)
	  {
		  if (soundTime < 3500)
		  {
			  summerOn = true;
			  soundTime++;
		  }
		  else if (soundTime < 4000)
		  {
			  summerOn = false;
			  soundTime++;
		  }
		  else
		  {
			  soundTime = 0;
			  soundStyle++;
		  }
	  }

	  /* pause ***************************************************************/
	  if (soundStyle == 6)
	  {
		  if (soundTime < 1000)
		  {
			  summerOn = false;
			  soundTime++;
		  }
		  else
		  {
			  soundTime = 0;
			  soundStyle++;
		  }
	  }

	  /* drei mal kurz ******************************************************/
	  if(soundStyle > 6 && soundStyle < 10)
	  {
		  if (soundTime < 800)
		  {
			  summerOn = true;
			  soundTime++;
		  }
		  else if (soundTime < 2000)
		  {
			  summerOn = false;
			  soundTime++;
		  }
		  else
		  {
			  soundTime = 0;
			  soundStyle++;
		  }
	  }

	  /* pause *************************************************************/
	  if (soundStyle == 10)
	  {
		  if (soundTime < 3000)
		  {
			  summerOn = false;
			  soundTime++;
		  }
		  else
		  {
			  soundTime = 0;
			  soundStyle = 0;
		  }
	  }
  }
  else
  {
	  soundStyle = 0;
	  soundTime = 0;
	  summerOn = false;
  }

  if (summerOn == true)
  {
	  ioport_toggle_pin_level(SUMMER);
  }
}

void beep (void)
{
	for (int i = 0; i < 100; i++)
	{
		ioport_toggle_pin_level(SUMMER);
		delay_ms(1);
	}
}